Subject: Re: linux-next: Tree for Oct 9

From: "Aithal, Srikanth" <[email-masked]>
Date: Wed, 9 Oct 2024 14:34:38 +0530

On 10/9/2024 12:50 PM, Stephen Rothwell wrote:
> Hi all,
> 
> News: this release fails my very simple qemu boot test.  It looks normal
> up to user mode and I even get a login prompt, but when I log in I get
> dumped back to the login prompt - presumably the shell is failing to run.
> 

I have hit same issue on host running Ubuntu 22.04.x. But same is not 
hit with RHEL 9.x host. Attaching both kconfigs here for reference.
Thanks,
Srikanth Aithal <[email-masked]>

> Changes since 20241008:
> 
> The vfs-brauner tree lost its build failure.
> 
> The wireless-next tree gained conflicts against Linus' tree.  It also
> gained a build failure for which I revered a commit.
> 
> The amdgpu tree lost its build failure.
> 
> The tip tree gained a build failure for which I reverted a topic branch.
> 
> The pinctrl tree still had its build failure, so I used the version
> from next-20241004.
> 
> The kunit-next tree gained a conflict against the mm tree.
> 
> Non-merge commits (relative to Linus' tree): 2906
>   4083 files changed, 105658 insertions(+), 74689 deletions(-)
> 
> ----------------------------------------------------------------------------
> 
> I have created today's linux-next tree at
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> (patches at http://www.kernel.org/pub/linux/kernel/next/ ).  If you
> are tracking the linux-next tree using git, you should not use "git pull"
> to do so as that will try to merge the new linux-next release with the
> old one.  You should use "git fetch" and checkout or reset to the new
> master.
> 
> You can see which trees have been included by looking in the Next/Trees
> file in the source.  There is also the merge.log file in the Next
> directory.  Between each merge, the tree was built with a ppc64_defconfig
> for powerpc, an allmodconfig for x86_64, a multi_v7_defconfig for arm
> and a native build of tools/perf. After the final fixups (if any), I do
> an x86_64 modules_install followed by builds for x86_64 allnoconfig,
> powerpc allnoconfig (32 and 64 bit), ppc44x_defconfig, allyesconfig
> and pseries_le_defconfig and i386, arm64, s390, sparc and sparc64
> defconfig and htmldocs. And finally, a simple boot test of the powerpc
> pseries_le_defconfig kernel in qemu (with and without kvm enabled).
> 
> Below is a summary of the state of the merge.
> 
> I am currently merging 377 trees (counting Linus' and 140 trees of bug
> fix patches pending for the current merge release).
> 
> Stats about the size of the tree over time can be seen at
> http://neuling.org/linux-next-size.html .
> 
> Status of my local build tests will be at
> http://kisskb.ellerman.id.au/linux-next .  If maintainers want to give
> advice about cross compilers/configs that work, we are always open to add
> more builds.
> 
> Thanks to Randy Dunlap for doing many randconfig builds.  And to Paul
> Gortmaker for triage and bug fixes.
>